package com.ruoyi.mqtt.dto.planning;

import java.util.List;

/**
 * 路径规划请求
 */
public class PlanningRequest {
    
    /**
     * 地图名称
     */
    private String roadmap;
    
    /**
     * 路网点ID列表
     */
    private List<Integer> nid;
    
    /**
     * 坐标列表 [[x1,y1], [x2,y2], ...]
     */
    private List<List<Double>> coord;
    
    public String getRoadmap() {
        return roadmap;
    }
    
    public void setRoadmap(String roadmap) {
        this.roadmap = roadmap;
    }
    
    public List<Integer> getNid() {
        return nid;
    }
    
    public void setNid(List<Integer> nid) {
        this.nid = nid;
    }
    
    public List<List<Double>> getCoord() {
        return coord;
    }
    
    public void setCoord(List<List<Double>> coord) {
        this.coord = coord;
    }
}
